org.eclipse.microprofile.fault.tolerance.tck

## Class AsyncFallbackTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.fault.tolerance.tck.AsyncFallbackTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class AsyncFallbackTest
    extends org.jboss.arquillian.testng.Arquillian

Test the combination of the @Asynchronous and @Fallback annotations.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`AsyncFallbackTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `testAsyncCSFallbackFutureCompletesExceptionally()`
`void` `testAsyncCSFallbackMethodThrows()`
`void` `testAsyncCSFallbackSuccess()`
`void` `testAsyncFallbackFutureCompletesExceptionally()`
`void` `testAsyncFallbackMethodThrows()`
`void` `testAsyncFallbackSuccess()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncFallbackTest

    public AsyncFallbackTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### testAsyncFallbackSuccess

    public void testAsyncFallbackSuccess()
                                  throws ExecutionException,
                                         InterruptedException

Throws:
  `ExecutionException`
  `InterruptedException`

#### testAsyncFallbackMethodThrows

    public void testAsyncFallbackMethodThrows()
                                       throws IOException,
                                              ExecutionException,
                                              InterruptedException

Throws:
  `IOException`
  `ExecutionException`
  `InterruptedException`

#### testAsyncFallbackFutureCompletesExceptionally

    public void testAsyncFallbackFutureCompletesExceptionally()
                                                       throws InterruptedException

Throws:
  `InterruptedException`

#### testAsyncCSFallbackSuccess

    public void testAsyncCSFallbackSuccess()
                                    throws ExecutionException,
                                           InterruptedException

Throws:
  `ExecutionException`
  `InterruptedException`

#### testAsyncCSFallbackMethodThrows

    public void testAsyncCSFallbackMethodThrows()
                                         throws IOException,
                                                ExecutionException,
                                                InterruptedException

Throws:
  `IOException`
  `ExecutionException`
  `InterruptedException`

#### testAsyncCSFallbackFutureCompletesExceptionally

    public void testAsyncCSFallbackFutureCompletesExceptionally()
                                                         throws InterruptedException,
                                                                ExecutionException

Throws:
  `InterruptedException`
  `ExecutionException`